Bug 446988 - mdadm build issues
mdadm build issues
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 16:39 EDT by Michal Jaegermann
Modified: 2008-11-19 09:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:47:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-05-16 16:39:19 EDT
Description of problem:

A %build section of a spec file has

make .... mdassemble.static mdassemble ....

but Makefile targets are set up that way that these two are
the same.  Not so surprisingly only mdassemble.static shows
up in a binary rpm package.  Maybe %install should create a link
mdassemble in case somebody expects it? An included manpage talks
about mdassemble.

BTW - a just released mdadm-2.6.5 needs sysfs.c on a list
of mdassemble sources or this will not link when MDASSEMBLE_AUTO=1
is used.

Version-Release number of selected component (if applicable):
mdadm-2.6.4-4.fc9
Comment 1 Fedora Update System 2008-06-26 20:07:20 EDT
mdadm-2.6.7-1.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-06-28 18:15:31 EDT
mdadm-2.6.7-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5804
Comment 3 Fedora Update System 2008-10-30 09:55:07 EDT
mdadm-2.6.7.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mdadm-2.6.7.1-1.fc9
Comment 4 Fedora Update System 2008-10-31 06:26:09 EDT
mdadm-2.6.7.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mdadm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9325
Comment 5 Fedora Update System 2008-11-19 09:47:30 EST
mdadm-2.6.7.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.